## ldapjdk 5.0.0+dfsg1

=== .copr/Makefile ===
srpm:
	dnf install -y git
	./build.sh --with-timestamp --with-commit-id srpm
	if [[ "${outdir}" != "" ]]; then \
	    mv ${HOME}/build/ldapjdk/SRPMS/* ${outdir}; \
	fi

## ldapjdk 4.18

=== debian/changelog ===
ldapjdk (4.18-5~ubuntu1) precise; urgency=low

  * Merge from unreleased debian git.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 05 Jan 2012 13:35:49 +0200

ldapjdk (4.18-5) UNRELEASED; urgency=low

  * control: Change the VCS header to point to the git repository.
  * control: Update the maintainer address.
  * control: Drop jre dependency per current java policy.
  * rules: Build using openjdk-6.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 06 Oct 2011 13:42:09 +0300

ldapjdk (4.18-4) unstable; urgency=low

  * Update my email address

 -- Michele Baldessari <michele@acksyn.org>  Sun, 17 Oct 2010 23:44:49 +0200

ldapjdk (4.18-3) unstable; urgency=low

  * Switch to 3.0 quilt format
  * Bump policy to 3.9.1

 -- Michele Baldessari <michele@pupazzo.org>  Sat, 04 Sep 2010 23:49:35 +0200

ldapjdk (4.18-2) unstable; urgency=low

  * Added VCS-* fields
  * debian/control:
     - Build-Depend on default-jdk-builddep instead of java-gcj-compat-dev
  * Move all build-deps to Build-Depends-Indep
  * Change section to java
  * Update policy to 3.8.1 (no changes necessary)
  * Add ${misc:Depends} since we depend on debhelper
  * Update policy to 3.8.3

 -- Michele Baldessari <michele@pupazzo.org>  Sun, 24 Jan 2010 23:40:27 +0100

ldapjdk (4.18-1) unstable; urgency=low

  * New upstream
  * Removed watch file (upstream does not release updated tarballs ATM)
  * Updated Standards (3.8.0)

 -- Michele Baldessari <michele@pupazzo.org>  Tue, 30 Sep 2008 20:00:35 +0200

ldapjdk (4.17-1) unstable; urgency=low

  * Initial release (Closes: #474490)

 -- Michele Baldessari <michele@pupazzo.org>  Wed, 09 Apr 2008 16:09:59 +0200

=== debian/control ===
Source: ldapjdk
Section: java
Maintainer: Ubuntu 389ds Team <ubuntu-389-directory-server@lists.launchpad.net>
XSBC-Original-Maintainer: Debian 389ds Team <pkg-fedora-ds-maintainers@lists.alioth.debian.org>
Uploaders: Michele Baldessari <michele@acksyn.org>
Priority: optional
Build-Depends: debhelper (>> 5)
Build-Depends-Indep: liboro-java, ant, libjss-java, default-jdk-builddep
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-fedora-ds/ldapjdk.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fedora-ds/ldapjdk.git
Homepage: http://www.mozilla.org/directory/javasdk.html

Package: libldap-java
Architecture: all
Depends: ${misc:Depends}
Description: Netscape Directory SDK for Java
 The Netscape Directory SDK for Java includes the LDAP Java classes, 
 which you use to build LDAP clients. The LDAP Java classes allow you 
 to write applets and applications that can connect to LDAP servers 
 and perform standard LDAP operations (for example, you can search 
 for entries or add, update, or delete entries).

=== debian/rules ===
#!/usr/bin/make -f

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH  ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\(.*\)-.*$$/\1/ p' | sed -e 's/~.*//')
MOD_MAJOR_VERSION := $(word 1, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_MINOR_VERSION := $(word 2, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_PATCH_VERSION := $(word 3, $(subst ., ,$(UPSTREAM_VERSION)))

export USE_64 := $(shell echo "int main(void) { int assert[(sizeof(long) == 8) ? 1 : -1]; return 0; }" | gcc -o /dev/null -x c - 2> /dev/null && echo --enable-64bit)

CFLAGS := -Wall -pipe

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2 -fno-strict-aliasing
endif

CFLAGS += -g
# Enable compiler optimizations and disable debugging code
BUILD_OPT=1
export BUILD_OPT
export XCFLAGS="-g"
BASEDIR := $(CURDIR)/mozilla/security/
export PKG_CONFIG_ALLOW_SYSTEM_LIBS=1
export PKG_CONFIG_ALLOW_SYSTEM_CFLAGS=1
export NSPR_INCLUDE_DIR=`/usr/bin/pkg-config --cflags-only-I nspr | sed 's/-I//'`
export NSPR_LIB_DIR=`/usr/bin/pkg-config --libs-only-L nspr | sed 's/-L//'`
export NSS_INCLUDE_DIR=`/usr/bin/pkg-config --cflags-only-I nss | sed 's/-I//'`
export NSS_LIB_DIR=`/usr/bin/pkg-config --libs-only-L nss | sed 's/-L//'`

export JAVA_HOME=/usr/lib/jvm/java-6-openjdk

configure: configure-stamp
configure-stamp: $(QUILT_STAMPFN)
	touch configure-stamp


build: build-stamp
build-stamp: configure
	dh_testdir
	install -m 644 $(CURDIR)/debian/ldapsdk-build.xml $(CURDIR)/mozilla/directory/java-sdk/build.xml
	mkdir -p $(CURDIR)/mozilla/directory/java-sdk/src
	-cp -pfr $(CURDIR)/mozilla/directory/java-sdk/ldapbeans/netscape \
		$(CURDIR)/mozilla/directory/java-sdk/ldapfilter/netscape \
		$(CURDIR)/mozilla/directory/java-sdk/ldapjdk/netscape \
		$(CURDIR)/mozilla/directory/java-sdk/ldapsp/com \
		$(CURDIR)/mozilla/directory/java-sdk/src
	find . -name "*.java" -exec perl -p -i -e 's|com.oroinc|org.apache.oro|g;' {} \;
	#-(cd $(CURDIR)/mozilla/directory/java-sdk/ && ant)
	ant -buildfile $(CURDIR)/mozilla/directory/java-sdk/build.xml 
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -rf $(CURDIR)/mozilla/directory/java-sdk/src/build
	rm -rf $(CURDIR)/mozilla/directory/java-sdk/build
	rm -rf $(CURDIR)/debian/libldapjdk-java

	dh_clean build-stamp install-stamp 

install: install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	mkdir -p $(CURDIR)/debian/libldap-java/usr/share/java/
	install -m 644 $(CURDIR)/mozilla/directory/java-sdk/build/lib/ldapsdk.jar $(CURDIR)/debian/libldap-java/usr/share/java/ldapsdk-$(UPSTREAM_VERSION).jar

	touch install-stamp

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_install
	dh_link -i
	dh_strip -i 
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: 

binary: binary-arch binary-indep

.PHONY: clean install build clean-patched binary-indep binary-arch binary

## ldapjdk 4.18+dfsg1

=== debian/changelog ===
ldapjdk (4.18+dfsg1-1) unstable; urgency=medium

  * Repackage the tarball, with bundled jars removed.
  * rules: Add get-orig-source target.
  * control, rules: Migrate to dh, javahelper and upstream build.xml.
  * ldapjdk-jarnamefix.patch: Find the right jss jar.
  * Added a classpath file.
  * Delete old cruft.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 17 Oct 2014 01:52:27 +0300

ldapjdk (4.18-6) unstable; urgency=medium

  * control: Bump policy to 3.9.6, no changes.
  * Use debhelper 9.
  * rules: Use bytecode format 1.5. (LP: #1049788)
  * rules: use dh_prep instead of dh_clean -k.
  * control: Update my email.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 10 Oct 2014 00:30:39 +0300

ldapjdk (4.18-5) unstable; urgency=low

  [ Timo Aaltonen ]
  * control: Change the VCS header to point to the git repository.

  [ Ghe Rivero ]
  * Updated JAVA_HOME path
  * Build-depends on default-jdk

 -- Ghe Rivero <ghe@debian.org>  Wed, 27 Jun 2012 19:12:27 +0200

=== debian/control ===
Source: ldapjdk
Section: java
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Michele Baldessari <michele@acksyn.org>,
	   Ghe Rivero <ghe@debian.org>,
	   Timo Aaltonen <tjaalton@debian.org>
Priority: optional
Build-Depends:
 ant,
 debhelper (>= 9),
 javahelper,
Build-Depends-Indep:
 default-jdk,
 libjss-java,
 liboro-java,
Standards-Version: 3.9.6
Vcs-Git: git://git.debian.org/git/pkg-fedora-ds/ldapjdk.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fedora-ds/ldapjdk.git
Homepage: http://www.mozilla.org/directory/javasdk.html

Package: libldap-java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Description: Netscape Directory SDK for Java
 The Netscape Directory SDK for Java includes the LDAP Java classes,
 which you use to build LDAP clients. The LDAP Java classes allow you
 to write applets and applications that can connect to LDAP servers
 and perform standard LDAP operations (for example, you can search
 for entries or add, update, or delete entries).

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@ --with javahelper

override_dh_auto_build:
	ln -s /usr/share/java/jss.jar $(CURDIR)/mozilla/directory/java-sdk/ldapjdk/lib/jss4.jar

	ant -Dant.build.javac.source=1.5 \
		-Dant.build.javac.target=1.5 \
		-buildfile $(CURDIR)/mozilla/directory/java-sdk/build.xml \
		dist

clean:
	rm -f $(CURDIR)/mozilla/directory/java-sdk/ldapjdk/lib/jss4.jar
	rm -rf $(CURDIR)/mozilla/directory/java-sdk/dist
	dh_clean

override_dh_install:
	mkdir -p $(CURDIR)/debian/libldap-java/usr/share/java/
	install -m 644 $(CURDIR)/mozilla/directory/java-sdk/dist/packages/ldapjdk.jar \
		$(CURDIR)/debian/libldap-java/usr/share/java/
	install -m 644 $(CURDIR)/mozilla/directory/java-sdk/dist/packages/ldapsp.jar \
		$(CURDIR)/debian/libldap-java/usr/share/java/
	install -m 644 $(CURDIR)/mozilla/directory/java-sdk/dist/packages/ldapfilt.jar \
		$(CURDIR)/debian/libldap-java/usr/share/java/
	install -m 644 $(CURDIR)/mozilla/directory/java-sdk/dist/packages/ldapbeans.jar \
		$(CURDIR)/debian/libldap-java/usr/share/java/

get-orig-source: SOURCE=ldapjdk
get-orig-source: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
get-orig-source:
	tar --transform 's,^,$(SOURCE)-$(UV)/,' \
		--exclude 'debian' --exclude-vcs \
		-cJf ../$(SOURCE)_$(UV).orig.tar.xz .

## ldapjdk 4.19+dfsg1

=== debian/changelog ===
ldapjdk (4.19+dfsg1-1) unstable; urgency=medium

  * New upstream version.
    - ldapjdk-jarnamefix.patch dropped, upstream
    - copyright, rules: Fix paths, the directory layout changed
  * Add a patch from Fedora to add getter methods for JDAPFilter.
  * control: Drop Michele Baldessari and Ghe Rivero from uploaders,
    update VCS urls and move under pkg-freeipa.
  * control: Bump policy to 4.1.2.
  * copyright: Rewrite as format 1.0.
  * Bump debhelper to 10.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 13 Dec 2017 18:14:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,19 @@
 Source: ldapjdk
 Section: java
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Michele Baldessari <michele@acksyn.org>,
-	   Ghe Rivero <ghe@debian.org>,
-	   Timo Aaltonen <tjaalton@debian.org>
+Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Priority: optional
 Build-Depends:
  ant,
- debhelper (>= 9),
+ debhelper (>= 10),
  javahelper,
 Build-Depends-Indep:
  default-jdk,
  libjss-java,
  liboro-java,
-Standards-Version: 3.9.6
-Vcs-Git: git://git.debian.org/git/pkg-fedora-ds/ldapjdk.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fedora-ds/ldapjdk.git
+Standards-Version: 4.1.2
+Vcs-Git: https://anonscm.debian.org/git/pkg-freeipa/ldapjdk.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-freeipa/ldapjdk.git
 Homepage: http://www.mozilla.org/directory/javasdk.html
 
 Package: libldap-java

## ldapjdk 4.20.0+dfsg1

=== debian/changelog ===
ldapjdk (4.20.0+dfsg1-3) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Build depend on default-jdk instead of openjdk-8-jdk (Closes: #910698)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 03 Dec 2018 16:02:36 +0200

ldapjdk (4.20.0+dfsg1-2) unstable; urgency=medium

  * Build with JDK8.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 23 Aug 2018 01:36:45 +0300

ldapjdk (4.20.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch, upstream.
  * watch: Added.
  * control: Update vcs urls.
  * Remove README.Debian.
  * control: Bump dependency on libjss-java.
  * control: Update maintainer address.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 15 Aug 2018 13:01:10 +0300

=== debian/control ===
Source: ldapjdk
Section: java
Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Priority: optional
Build-Depends:
 ant,
 debhelper (>= 10),
 javahelper,
Build-Depends-Indep:
 default-jdk,
 libjss-java (>= 4.5.0~),
 liboro-java,
Standards-Version: 4.1.2
Vcs-Git: https://salsa.debian.org/freeipa-team/ldapjdk.git
Vcs-Browser: https://salsa.debian.org/freeipa-team/ldapjdk
Homepage: http://www.mozilla.org/directory/javasdk.html

Package: libldap-java
Architecture: all
Depends: libjss-java (>= 4.5.0~),
 ${misc:Depends}
Description: Netscape Directory SDK for Java
 The Netscape Directory SDK for Java includes the LDAP Java classes,
 which you use to build LDAP clients. The LDAP Java classes allow you
 to write applets and applications that can connect to LDAP servers
 and perform standard LDAP operations (for example, you can search
 for entries or add, update, or delete entries).

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@ --with javahelper

override_dh_auto_build:
	ln -s /usr/share/java/jss.jar $(CURDIR)/java-sdk/ldapjdk/lib/jss4.jar

	ant -buildfile $(CURDIR)/java-sdk/build.xml \
		dist

clean:
	rm -f $(CURDIR)/java-sdk/ldapjdk/lib/jss4.jar
	rm -rf $(CURDIR)/java-sdk/dist
	dh_clean

override_dh_install:
	mkdir -p $(CURDIR)/debian/libldap-java/usr/share/java/
	install -m 644 $(CURDIR)/java-sdk/dist/packages/ldapjdk.jar \
		$(CURDIR)/debian/libldap-java/usr/share/java/
	install -m 644 $(CURDIR)/java-sdk/dist/packages/ldapsp.jar \
		$(CURDIR)/debian/libldap-java/usr/share/java/
	install -m 644 $(CURDIR)/java-sdk/dist/packages/ldapfilt.jar \
		$(CURDIR)/debian/libldap-java/usr/share/java/
	install -m 644 $(CURDIR)/java-sdk/dist/packages/ldapbeans.jar \
		$(CURDIR)/debian/libldap-java/usr/share/java/

get-orig-source: SOURCE=ldapjdk
get-orig-source: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
get-orig-source:
	tar --transform 's,^,$(SOURCE)-$(UV)/,' \
		--exclude 'debian' --exclude-vcs \
		-cJf ../$(SOURCE)_$(UV).orig.tar.xz .

## ldapjdk 4.21.0%2Bdfsg1

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,oversionmangle=s/$/+dfsg1/,compression=xz,repack,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ldapjdk-$1.tar.gz%" \
https://github.com/dogtagpki/ldap-sdk/releases/ (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ldapjdk 4.21.0+dfsg1

=== debian/changelog ===
ldapjdk (4.21.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * 01-java8-compatibility.patch: Refreshed.
  * fix-slf4j-jar.diff: Use a correct path to slf4j-api.jar.
  * control: Add libslf4j-java to build-depends and depends.
  * classpath: Add slf4j-api.jar.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Aug 2019 15:22:49 +0300

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  default-jdk,
  libjss-java (>= 4.5.0~),
  liboro-java,
+ libslf4j-java,
 Standards-Version: 4.1.2
 Vcs-Git: https://salsa.debian.org/freeipa-team/ldapjdk.git
 Vcs-Browser: https://salsa.debian.org/freeipa-team/ldapjdk
@@ -19,6 +20,7 @@
 Package: libldap-java
 Architecture: all
 Depends: libjss-java (>= 4.5.0~),
+ libslf4j-java,
  ${misc:Depends}
 Description: Netscape Directory SDK for Java
  The Netscape Directory SDK for Java includes the LDAP Java classes,

## ldapjdk 5.0.0%2Bdfsg1

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@ --with javahelper

override_dh_auto_build:
	./build.sh \
		--work-dir=build \
		dist

override_dh_clean:
	rm -rf $(CURDIR)/build
	dh_clean

override_dh_auto_install:
	./build.sh \
		--work-dir=build \
		--java-lib-dir=/usr/share/java \
		--install-dir=debian/tmp \
		install

	rm -r debian/tmp/usr/share/javadoc
	rm -r debian/tmp/usr/share/maven-poms


get-orig-source: SOURCE=ldapjdk
get-orig-source: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
get-orig-source:
	tar --transform 's,^,$(SOURCE)-$(UV)/,' \
		--exclude 'debian' --exclude-vcs \
		-cJf ../$(SOURCE)_$(UV).orig.tar.xz .

## ldapjdk 5.0.0+dfsg1

=== debian/changelog ===
ldapjdk (5.0.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump libjss-java depends.
  * control: Migrate to debhelper-compat, bump to 13.
  * Refresh patches, drop 01-java8-compatibility.patch.
  * fix-jar-paths.diff: Renamed old patch since it fixes path to both
    jss and slf4j jars now.
  * classpath: Fixed for new jss.
  * rules, install: Use upstream build.sh for the build.
  * source: Add a doc to diff-ignore.
  * control: Bump policy to 4.6.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 19 Oct 2021 10:05:45 +0300

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,21 @@
 Priority: optional
 Build-Depends:
  ant,
- debhelper (>= 10),
+ debhelper-compat (= 13),
  javahelper,
 Build-Depends-Indep:
  default-jdk,
- libjss-java (>= 4.5.0~),
+ libjss-java (>= 5.0.0),
  liboro-java,
  libslf4j-java,
-Standards-Version: 4.1.2
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/freeipa-team/ldapjdk.git
 Vcs-Browser: https://salsa.debian.org/freeipa-team/ldapjdk
 Homepage: http://www.mozilla.org/directory/javasdk.html
 
 Package: libldap-java
 Architecture: all
-Depends: libjss-java (>= 4.5.0~),
+Depends: libjss-java (>= 5.0.0),
  libslf4j-java,
  ${misc:Depends}
 Description: Netscape Directory SDK for Java

## ldapjdk 5.1.0+dfsg1

=== debian/changelog ===
ldapjdk (5.1.0+dfsg1-1) unstable; urgency=medium

  * rules: Run build using ant again, and use config options to
    specify paths to jss and slf4j, and drop the patch.
  * New upstream release.
  * watch: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 15 Mar 2022 22:01:48 +0200

## ldapjdk 5.2.0+dfsg1

=== debian/changelog ===
ldapjdk (5.2.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * source: Update diff-ignore.
  * control: Bump depends on jss.
  * control: Fix homepage url. (Closes: #909781)
  * copyright: Fix source url.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 21 Nov 2022 10:52:28 +0200

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,17 @@
  javahelper,
 Build-Depends-Indep:
  default-jdk,
- libjss-java (>= 5.0.0),
+ libjss-java (>= 5.2.0),
  liboro-java,
  libslf4j-java,
 Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/freeipa-team/ldapjdk.git
 Vcs-Browser: https://salsa.debian.org/freeipa-team/ldapjdk
-Homepage: http://www.mozilla.org/directory/javasdk.html
+Homepage: https://www-archive.mozilla.org/directory/
 
 Package: libldap-java
 Architecture: all
-Depends: libjss-java (>= 5.0.0),
+Depends: libjss-java (>= 5.2.0),
  libslf4j-java,
  ${misc:Depends}
 Description: Netscape Directory SDK for Java

## ldapjdk 5.3.0+dfsg1

=== debian/changelog ===
ldapjdk (5.3.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump depends on jss.
  * control: Update homepage url.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 26 Feb 2023 11:44:48 +0200

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,17 @@
  javahelper,
 Build-Depends-Indep:
  default-jdk,
- libjss-java (>= 5.2.0),
+ libjss-java (>= 5.3.0),
  liboro-java,
  libslf4j-java,
 Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/freeipa-team/ldapjdk.git
 Vcs-Browser: https://salsa.debian.org/freeipa-team/ldapjdk
-Homepage: https://www-archive.mozilla.org/directory/
+Homepage: https://github.com/dogtagpki/ldap-sdk
 
 Package: libldap-java
 Architecture: all
-Depends: libjss-java (>= 5.2.0),
+Depends: libjss-java (>= 5.3.0),
  libslf4j-java,
  ${misc:Depends}
 Description: Netscape Directory SDK for Java

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,10 @@
 	dh $@ --with javahelper
 
 override_dh_auto_build:
-	./build.sh \
-		--work-dir=build \
+	ant -buildfile $(CURDIR)/java-sdk/build.xml \
+		-Ddist=../build \
+		-Djss.lib=/usr/share/java/jss.jar \
+		-Dslf4j.lib=/usr/share/java/slf4j-api.jar \
 		dist
 
 override_dh_clean:

## ldapjdk 5.5.0+dfsg1

=== debian/changelog ===
ldapjdk (5.5.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump depends on jss.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Feb 2024 16:57:23 +0200

ldapjdk (5.4.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * control: Bump depends on jss.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 16 May 2023 16:31:39 +0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  javahelper,
 Build-Depends-Indep:
  default-jdk,
- libjss-java (>= 5.3.0),
+ libjss-java (>= 5.5.0),
  liboro-java,
  libslf4j-java,
 Standards-Version: 4.6.0
@@ -19,7 +19,7 @@
 
 Package: libldap-java
 Architecture: all
-Depends: libjss-java (>= 5.3.0),
+Depends: libjss-java (>= 5.5.0),
  libslf4j-java,
  ${misc:Depends}
 Description: Netscape Directory SDK for Java

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,oversionmangle=s/$/+dfsg1/,compression=xz,repack,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ldapjdk-$1.tar.gz%" \
https://github.com/dogtagpki/ldap-sdk/tags/ (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
